=== src/fakeargb/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (fakeargb)
