=== src/mswitch/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (mswitch)
