=== src/tile/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (tile)
