=== src/atlantis/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (atlantis PLUGINDEPS cube)
