=== src/cubemodel/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (cubemodel PLUGINDEPS cube LIBRARIES pthread)
