=== src/elements/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (elements PLUGINDEPS text)
