=== src/snow/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (snow)
