=== cubemodel/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (cubemodel PLUGINDEPS composite opengl cube LIBRARIES pthread)
