=== elements/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)
include (CompizCommon)
include (CompizPackage)

compiz_plugin (elements PLUGINDEPS composite opengl text)

set (COMPIZ_VERSION_MAJOR 0)
set (COMPIZ_VERSION_MINOR 9)
set (COMPIZ_VERSION_MICRO 0)
set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO})

compiz_add_plugins_in_folder ("${CMAKE_CURRENT_SOURCE_DIR}/plugins")

compiz_print_configure_header ("Compiz Elements Plugins")
compiz_print_plugin_stats ("${CMAKE_CURRENT_SOURCE_DIR}/plugins")
compiz_print_configure_footer ()

compiz_package_generation ("Compiz Elements Plugins")
compiz_add_uninstall ()
