=== fakeargb/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (fakeargb PLUGINDEPS composite opengl)
