=== tile/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (tile PLUGINDEPS composite opengl)
