=== elements/plugins/autumn/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (autumn PLUGINDEPS elements)
