=== elements/plugins/bubbles/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (bubbles PLUGINDEPS elements)
