=== elements/plugins/fireflies/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (fireflies PLUGINDEPS elements)
