=== elements/plugins/snow/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (snow PLUGINDEPS elements)
