=== elements/plugins/stars/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (stars PLUGINDEPS elements)
