=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[\d]/ compiz-plugins-unsupported-([\d\.]+)\.tar\.gz
